StateMachineRunId
Keywords: net.corda.core.flows.StateMachineRunId class
Date: 2023-09-18

net.corda.core.flows

## Class StateMachineRunId

- net.corda.core.flows.StateMachineRunId

-     public class StateMachineRunId

  A unique identifier for a single state machine run, valid across node restarts. Note that a single run always has at least one flow, but that flow may also invoke sub-flows: they all share the same run id.

- - ### Field Detail

    - #### Companion

          public static net.corda.core.flows.StateMachineRunId.Companion Companion

  - ### Constructor Detail

    - #### StateMachineRunId

          public StateMachineRunId(@NotNull
                                   java.util.UUID uuid)

      A unique identifier for a single state machine run, valid across node restarts. Note that a single run always has at least one flow, but that flow may also invoke sub-flows: they all share the same run id.

  - ### Method Detail

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### getUuid

          @NotNull
          public java.util.UUID getUuid()

    - #### component1

          @NotNull
          public java.util.UUID component1()

    - #### copy

          @NotNull
          public StateMachineRunId copy(@NotNull
                                                 java.util.UUID uuid)

      A unique identifier for a single state machine run, valid across node restarts. Note that a single run always has at least one flow, but that flow may also invoke sub-flows: they all share the same run id.

    - #### hashCode

          public int hashCode()

      A unique identifier for a single state machine run, valid across node restarts. Note that a single run always has at least one flow, but that flow may also invoke sub-flows: they all share the same run id.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A unique identifier for a single state machine run, valid across node restarts. Note that a single run always has at least one flow, but that flow may also invoke sub-flows: they all share the same run id.